Author pitrou
Recipients eric.araujo, pitrou, tarek
Date 2011-03-18.18:33:55
SpamBayes Score 0.00017619
Marked as misclassified No
Message-id <1300473236.84.0.248517729635.issue11599@psf.upfronthosting.co.za>
In-reply-to
Content
Really, can't distutils at least display the command-line that failed to execute?


Traceback (most recent call last):
  File "/home/antoine/cpython/default/Lib/distutils/unixccompiler.py", line 176, in _compile
    extra_postargs)
  File "/home/antoine/cpython/default/Lib/distutils/ccompiler.py", line 911, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/home/antoine/cpython/default/Lib/distutils/spawn.py", line 34, in spawn
    _spawn_posix(cmd, search_path, dry_run=dry_run)
  File "/home/antoine/cpython/default/Lib/distutils/spawn.py", line 138, in _spawn_posix
    % (cmd[0], exit_status))
distutils.errors.DistutilsExecError: command 'gcc' failed with exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/antoine/cpython/default/Lib/test/test_embed.py", line 42, in test_subinterps
    exe = self.make_exe("embed1.c")
  File "/home/antoine/cpython/default/Lib/test/test_embed.py", line 29, in make_exe
    compiler.compile([srcpath], output_dir=build_dir)
  File "/home/antoine/cpython/default/Lib/distutils/ccompiler.py", line 576, in compile
    self._compile(obj, src, ext, cc_args, extra_postargs, pp_opts)
  File "/home/antoine/cpython/default/Lib/distutils/unixccompiler.py", line 178, in _compile
    raise CompileError(msg)
distutils.errors.CompileError: command 'gcc' failed with exit status 1
History
Date User Action Args
2011-03-18 18:33:56pitrousetrecipients: + pitrou, tarek, eric.araujo
2011-03-18 18:33:56pitrousetmessageid: <1300473236.84.0.248517729635.issue11599@psf.upfronthosting.co.za>
2011-03-18 18:33:56pitroulinkissue11599 messages
2011-03-18 18:33:55pitroucreate